unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, VCLTee.TeeSeriesBandTool,
  VCLTee.TeEngine, VCLTee.TeeTools, VCLTee.Series, Vcl.ExtCtrls,
  VCLTee.TeeProcs, VCLTee.Chart;

type
  TForm1 = class(TForm)
    crr_plot: TChart;
    FastLineSeries8: THorizLineSeries;
    Series3: THorizLineSeries;
    Button1: TButton;
    ChartTool1: TSeriesBandTool;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var i: integer;
    aFile: TextFile;
    aString, s1, s2: string;
begin
  AssignFile(aFile, 'values1.txt');
  Reset(aFile);
  while not EOF(aFile) do
  begin
    ReadLN(aFile, aString);
    i := Pos(';', aString);
    s1 := Copy(aString, 1, i-1);
    s2 := Copy(aString, i + 1, length(aString));

    crr_plot.Series[0].AddXY(strtofloat(s1), strtofloat(s2));
  end;
  CloseFile(aFile);

  AssignFile(aFile, 'values2.txt');
  Reset(aFile);
  while not EOF(aFile) do
  begin
    ReadLN(aFile, aString);
    i := Pos(';', aString);
    s1 := Copy(aString, 1, i-1);
    s2 := Copy(aString, i + 1, length(aString));

    crr_plot.Series[1].AddXY(strtofloat(s1), strtofloat(s2));
  end;
  CloseFile(aFile);
end;

end.
